Clint Posted April 22 Posted April 22 (edited) New programmer asks: Starting out with baby steps, I am attempting to set the LTSCALE for a couple hundred drawings as I edit them. PROGRAM (defun c:LT () (command "LTSCALE" 4.25 ) ) (c:LT) Right now, the command line returns: : (load "lt") : LTSCALE New current value for LTSCALE (greater than zero) <9.5>: 4.25nil QUESTION: How do I add a comment in the command line when the code is finished that will read "LTSCALE set to 4.25" ? Edited April 22 by Clint Clarification Quote
SLW210 Posted April 22 Posted April 22 I have moved your post to the AutoLISP, Visual LISP & DCL Forum. Please post in the most appropriate forum. Quote
Jonathan Handojo Posted April 22 Posted April 22 4 hours ago, Clint said: New programmer asks: Starting out with baby steps, I am attempting to set the LTSCALE for a couple hundred drawings as I edit them. PROGRAM (defun c:LT () (command "LTSCALE" 4.25 ) ) (c:LT) Right now, the command line returns: : (load "lt") : LTSCALE New current value for LTSCALE (greater than zero) <9.5>: 4.25nil QUESTION: How do I add a comment in the command line when the code is finished that will read "LTSCALE set to 4.25" ? Do it like this: (defun c:lt nil (princ (strcat "LTSCALE set to " (rtos (setvar "ltscale" 4.25) 2))) (princ) ) 1 Quote
Clint Posted April 23 Author Posted April 23 Jonathan, Thanks for your reply and the improved code Clint Quote
BIGAL Posted April 23 Posted April 23 There is a very advanced method using a reactor can type L4-25 and the ltscale will be set to that, L10, l2 etc. It uses an error trap in a reactor as what is typed does not exist so an error occurs, I currently have Circle, Offset and Fillet using this. You are limited to 26 options ie A-Z. C10 O5 F23 So in summing up if you have lots of ltscale to use could be helpful. Just ask. Quote
Clint Posted April 24 Author Posted April 24 BIGAL, Sure! I would like to check out the reactor-based code. Make it available at your earliest convenience. Thanks, Clint Quote
BIGAL Posted April 24 Posted April 24 (edited) This is the code you can add the "Lxxx" fillet reactor.lsp Edited April 24 by BIGAL Quote
Recommended Posts
Join the conversation
You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.